Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Interface LabeledTypeNode

All Superinterfaces:
  java.lang.Cloneable, polyglot.util.Copy, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.QualifierNode, polyglot.ast.Receiver, polyglot.ast.Term, polyglot.ast.Typed, polyglot.ast.TypeNode

All Known Implementing Classes:
  LabeledTypeNode_c

    public interface LabeledTypeNode

extends polyglot.ast.TypeNode

This class represents a labeled type node.

Method Summary
`LabelNode` | `labelPart()`
`LabeledTypeNode` | `labelPart(LabelNode labelPart)`
`polyglot.ast.TypeNode` | `typePart()`
`LabeledTypeNode` | `typePart(polyglot.ast.TypeNode typePart)`

Methods inherited from interface polyglot.ast.TypeNode
`type`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.ast.Typed
`type`

Methods inherited from interface polyglot.ast.QualifierNode
`qualifier`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.ast.Term
`acceptCFG, entry, exceptions, exceptions, reachable, reachable`

Method Detail

### typePart

    polyglot.ast.TypeNode typePart()

### typePart

    LabeledTypeNode typePart(polyglot.ast.TypeNode typePart)

### labelPart

    LabelNode labelPart()

### labelPart

    LabeledTypeNode labelPart(LabelNode labelPart)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD